
#I use the following packages. If you don't have them, install them using format:
#install.packages("foreign")

require(foreign)
require(lattice)
require(effects)
require(gplots)
require(MASS)
require(lme4)
require(nlme)
library(compute.es)

triad <- read.spss("PUT FILE PATH HERE", to.data.frame=T)

#summary(triad)

numY <- triad$TriadRELATIVISM * 8
numN <- with(triad, 8 - numY)
y <- cbind(numY, numN)


#1. Here's how to analyze as a regular regression

summary(tr.glm <- glm(y~Female, data = triad, binomial))

#2. Here's how to calculate an individual-level effect size (not for HLM)

library(fmsb)
nag <- NagelkerkeR2(tr.glm) #this is an R^2-equivalent for glm
nag
sqrt(nag$R2)

#This last number is the effect size expressed as a correlation

#3. Here's how to analyze as an HLM 

summary(tr.glm <- glmer(y~Female+(1|ProvDCode), data = triad, binomial))
